{% extends "customers/base.html" %}
{% load staticfiles %}

{% block title %} Dashboard{% endblock %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/morris.js/morris.css' %}" rel="stylesheet" />
{% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item active">Dashboard</li>
</ol>
<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">Servicios <small>por estado</small></h1>
<!-- end page-header -->


<!-- begin row -->
<div class="row">
    <!-- begin col-12 -->
    <div class="col-xl-12 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading">
          <h4 class="panel-title">Dashboard</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div style='display:flex'>
        <div class="panel-body col-sm-6">
            <div class="row mb-3">
                <form class="form-inline">
                  <div class="row mb-3 m-l-10">
                    <div class="form-group m-r-10">
                      <label for="id_operator" class="control-label m-r-10">operador</label>
                      <select id="id_operator">
                          <option value="">Todos</option>
                        {% for operator in operators %}
                        <option value="{{ operator.id }}">{{ operator.name }}</option>
                        {% endfor %}
                      </select>	     
                    </div>
                  </div>
                </form>
            </div>
            <h4 id="active_count" class="text-center"></h4>   
            <div id="sample-donut" class="height-sm"></div>
        </div>
        
        <div class="panel-body col-sm-6">
            <div class="row mb-3">
                <form class="form-inline">
                  <div class="row mb-3 m-l-10">
                    <div class="form-group m-r-10">
                      <label for="id_operator2" class="control-label m-r-10">operador</label>
                      <select id="id_operator2">
                            <option value="">Todos</option>
                            {% for operator in operators %}
                            <option value="{{ operator.id }}">{{ operator.name }}</option>
                            {% endfor %}
                      </select>	     
                    </div>
                  </div>
                </form>
            </div>
            <h4 id="active_count2" class="text-center"></h4>   
            <div id="sample-donut2" class="height-sm"></div>
        </div>
    </div>
  <!-- end panel-body -->
        
<!-- end panel -->
</div>
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->


{% endblock %}

{% block pageleveljs %}
<script src="{% static 'assets/plugins/raphael/raphael.min.js' %}"></script>
<script src="{% static 'assets/plugins/morris.js/morris.min.js' %}"></script>
<script type="text/javascript">
    //active menu
    document.getElementById("main_menu").classList.add("active");
    //active submenu item
    document.getElementById("dashboard_item").classList.add("active");


function get_data(){
  

    operator_id = document.getElementById("id_operator").value;
    
    $.get('/dashboard_ajax/', {operator: operator_id}, function(json_response) {;

      document.getElementById("sample-donut").innerHTML = "";

      var morrisDonut = new Morris.Donut({
          element: 'sample-donut',
          data: [
            {label: "Activos", value: json_response.data['active_count']},
            {label: "Retirados", value: json_response.data['inactive_count']},
            {label: "Por Retirar", value: json_response.data['pending_count']},
            {label: "No instalados", value: json_response.data['not_installed_count']},
            {label: "Canje", value: json_response.data['free_count']},
            {label: "Instalacion Rechazada", value: json_response.data['install_rejected_count']},
            {label: "Moroso", value: json_response.data['delinquent_count']},
            {label: "Cambio de Titular", value: json_response.data['holder_change_count']},
            {label: "Descartado", value: json_response.data['discarded_count']},
            {label: "Baja Temporal", value: json_response.data['on_hold_count']},
            {label: "Perdido, no se pudo retirar", value: json_response.data['lost_count']},
          ],
          labelColor: '#000000',
          colors: [
            '#32a932', //green
            '#ff5b57', //danger
            '#f59c1a', //warning
            '#90ca4b', //lime
            '#727cb6', //purple
            '#ffd900', //yellow
            '#00acac', //success
            '#fb5597', //pink
            '#8753de', //indigo
            '#348fe2', //primary
            '#99aab3', //grey
            '#2d353c'  //inverse
          ],
          formatter: function (x) { return x },
        });
        morrisDonut.select(0);
        document.getElementById("active_count").innerText = json_response.data['total_count'];
    });
  }

  $(document).ready(function() {
    get_data();
  });

  $('#id_operator').change(function(){
    get_data();
  });

  

</script>
<script type="text/javascript">

function get_data2(){

    operator_id2 = document.getElementById("id_operator2").value;
    
    $.get('/dashboard_ajax2/', {operator: operator_id2}, function(json_response) {;

      document.getElementById("sample-donut2").innerHTML = "";
      console.log(json_response);
      var morrisDonut2 = new Morris.Donut({
          element: 'sample-donut2',
          data: json_response.data,
              //aqui definir las promociones
            
          labelColor: '#000000',
          colors: [
            '#32a932', //green
            '#ff5b57', //danger
            '#f59c1a', //warning
            '#90ca4b', //lime
            '#727cb6', //purple
            '#ffd900', //yellow
            '#00acac', //success
            '#fb5597', //pink
            '#8753de', //indigo
            '#348fe2', //primary
            '#99aab3', //grey
            '#2d353c'  //inverse
          ],
          formatter: function (x) { return x },
        });
        morrisDonut2.select(0);
        document.getElementById("active_count2").innerText = json_response.total_service;
    });
  }

  $(document).ready(function() {
    get_data2();
  });

  $('#id_operator2').change(function(){
    get_data2();
  });

  

</script>
{% endblock %}